

	<script>
	var util = { };

document.addEventListener('keydown', function(e){

    var key = util.key[e.which];
    if( key ){
        e.preventDefault();
    }

   if( key === 'F5' ){        
  return  printDiv('printableArea');
    }
  if( key === 'F6' ){        
  window.location.href = "../user/allpurchaseorder";
    }

	 if( key === 'enter' ){        
return true;
    }
	
   
	
	
})


  
util.key = { 
  9: "tab",
  //13: "enter",
  16: "shift",
  12: "alt",
  27: "esc",
  33: "rePag",
  34: "avPag",
  35: "end",
  36: "home",
  37: "left",
  38: "up",
  39: "right",
  40: "down",
  112: "F1",
  113: "F2",
  114: "F3",
  115: "F4",
  116: "F5",
  117: "F6",
  112: "F7",
  119: "F8",
  120: "F9",
  121: "F10",
  122: "F11",
  123: "F12"
}
 

	</script>
<script>
	function printDiv(divName) {
     var printContents = document.getElementById(divName).innerHTML;
     var originalContents = document.body.innerHTML;

     document.body.innerHTML = printContents.fontsize(16);
     window.print();

	 if( window.print()) {
         window.location.href = "../user/viewsales";
		alert(" printing...........");
    }else {

	
		      return      window.location.href = "../user/viewsales";

		    // document.body.innerHTML = originalContents;

	}
}
	</script>
<style type="text/css">
  
  	
  .invoice-box table tr.heading td {
        background: #eee;
        border-bottom: 1px solid #ddd;
        font-weight: bold;
		
		
    }
  
  #printable { display: none; }
#print{  	


    background-repeat: no-repeat;
	font-size;20px;
  
    width:100%; height:50px;


}

#sale{  	
background-image:url(images/add.png) ;

    background-repeat: no-repeat;
  
    width:100px; height:50px;


}
    @media print
    {
    	#non-printable { display: none; }
    	#printableArea { display: block; font-size:18; width:100%; }
    }
    </style>
<?PHP

 echo $this->session->flashdata('imagemsg1'); 
		 
		    
$session_data = $this->session->userdata('logged_in');


$data['surname'] = $session_data['surname'];
$data['id'] = $session_data['id'];

$surname=$data['surname'];
   $userid=$data['id'];

   $myuser=$this->usermodel->geteuser($userid);
   $myname=$myuser[0]['firstname'];
    $postedtime = date('Y-m-d');
		$currenttime = date('h:i:sa');
 		$dateposted =  ($postedtime)." ".$currenttime ;	

function formatMoney($number, $fractional=false) {
						if ($fractional) {
							$number = sprintf('%.2f', $number);
						}
						while (true) {
							$replaced = preg_replace('/(-?\d+)(\d\d\d)/', '$1,$2', $number);
							if ($replaced != $number) {
								$number = $replaced;
							} else {
								break;
							}
						}
						return $number;
					}	

 $displaycode=$this->usermodel->populatuserpermissionsdataarray('config','productcode',$userid);

					
?>
 
 <div class="row">

 

   	<div class="col-md-12">
	
  
        	
			
			<div class="table-responsive" id="printableArea" style="width:100%" >
						<table border="0" width="100%"  class="table-responsive">
					
						<tr>
						<td colspan="2" valign="top">
<?php
 $session_data = $this->session->userdata('logged_in');

   
 	$data['id'] = $session_data['id'];
        
		 $userid = $data['id'];
$data['companyid'] = $session_data['companyid'];
	 $companyid = $data['companyid'];
		 $data['usertype'] = $session_data['usertype'];
	 $usertype = $data['usertype'];	

								$profile = $this->usermodel->populateall('smsconfig','id',$companyid);

	
		if(!is_array($profile)) 

 {
	 $this->session->set_flashdata('msg', '<div class="alert alert-danger fade in">
						 <a href="#" class="close" data-dismiss="alert">&times;</a><strong>Error!</strong>Upload photo</div>');
							

    }else {

    
          
  	foreach ($profile as $c): 
$photo= $c->logo;
		 	if($photo!=""){
		 
		 
		
		
	
			
		
		$img=$c->logo;
	
		$img1='uploads/';
	$url = base_url().$img1.$img;

 
 ?>
 <div >
<img class="img-circle" src="<?php echo $url ?>" height="100" width="100" style="border-radius:4px;  ">		 

</div>



	 <?php }else{
		 ?>

				<?php
	 }
		 endforeach; ?>

              <?php }?>
						
						
						
				
						<?php $description=$configuration[0]['description']; if(isset($description)) {echo   $description; }?>
							
						
						
						
						</td>
						
						<td colspan="4" valign="top">
					<h2>GOODS RECEIVE NOTE	</h2>
					
<br><br>
						 Date:  <?php echo$batchlist[0]['exactime'];?><BR>
						GRN No: <?php echo$viewreceipt[0]['ordernumber'];?><BR>
				Batch  No: <?php echo$batchlist[0]['batchno'];?><BR>
						Ref No:  <?php $invoiceid; if(isset($invoiceid)) {echo   $invoiceid; }?><BR></H3>
						</td>
						
						</tr>
						
					<TR>
					<td colspan="6">
					<hr style="border-top: 2px solid gray;">

					</td>
					</TR>
						<tr>
						
					
						<td colspan="3">
						<B>Goods From:</B><br>
					
						<?php $customer=$viewreceipt[0]['supplier'];

						 if(($customer!=0)||($customer!="")){
							
							
							$mysupplier=$this->usermodel->populateallarray('people','id', $customer);
						echo$comments=$mysupplier[0]['company'];
						
						 }  
						
						
							 
						 
							?>
						
						
						
						
						
						
						
						
						</td>
						
							<td colspan="3">
						<B>Shipped To:</B><br>
	 <?php echo$viewreceipt[0]['shippingto'];?><BR>
						</td>
						
						
						
							</tr>
																				
																				
																				
																				</table >
<br><br>
										<div class="invoice-box">
													<table border="1" class="height2" height="100%" style="width:100%;">

					
						
							<tr  class="heading">
							
<?php 
if($displaycode==true){
	 ?>
<td><b>Code</b></td>
<td><b>Item Name</b></td>
	 	<?php
		}else{?>
	<td colspan="2"><b>Item Name</b></td>
 <?php
 }
 ?>
 <td><b>Qty Received</td>
				 <td><b>Date Received</td>				
							</tr>
					
						<?php
					
 if(!is_array($viewsales)) {
	 

			 }else{
 if(!is_array($viewsales)) 

 {


   echo "<tr  style='margin-bottom:0px;margin-top:0px;' '>";
      echo "<td colspan='5'>";
    
    echo "</td>";
   echo "</tr>";
    }else {
 $totalcost=0;
  $totalvatcost=0;
  $totalexemptedcost=0;
   $totaltax=0;
  	foreach ($viewsales as $c): 

		 

             ?>
				                    <tbody >
									
										 
												
											<tr   valign="top">
											
											<?php 
if($displaycode==true){
	 ?>
									<td><?php echo $c->code ; ?></td>

													    <td><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
  
  ?></td>
	 	<?php
		}else{?>
	
	
													    <td  colspan="2" ><?php ; 
	 $receiptdescription=$configuration[0]['receiptdescription'];
   $customer=$c->code;
   if($customer!=""){
	  
      $productname = $this->usermodel->geteproductbyid($customer);
  
     echo$name=$productname[0]['name']; if($receiptdescription=="yes"){ echo"-".$description=$productname[0]['description'];}

	
   }else{
	    echo "No Product";  
   }
  
  
  ?></td>
 <?php
 }
 ?>
										<td><?php echo $c->qty ; ?></td>
												
									<td><?php echo $c->exactime ; ?></td>
												
											</tr>
										<?php endforeach;} ?>

              <?php }?>	
			  
			  
			  
					<tr>
					<td colspan="2"  height="200px"></td><td    height="200px"></td>
					</tr>
								
									
								
							
							
							
						<tr>
								
								
								<td colspan="3"> 
	
									<H3 class="pull-left">
															
				Note/Comment: <?php echo$batchlist[0]['description'];?>								
									</H3>
									
										<td colspan="3"> 
							<H3 class="pull-right">
									Name:-----------------------------------							
															Signature:---------
											</H3>

							
							
							</td>
							
							</tr>
							
							
							
							
							
				
									</tbody>
									
									
					</table>
					</div>
			<div>

<br>

</div>
					
					
					
					
				</div>
			</div>
		
		
  


			
			
		
		









		
	<script type="text/javascript">


$(window).load(function()
{
	 if( window.print()) {
         window.location.href = "../user/allpurchaseorder";
 }else{
	  //       window.location.href = "../user/viewsales";
 
 }
});
</script>	

		








